emsLinux • El mundo según Linux

Cómo instalar Adobe Flash Player 10.3 Beta en GNU/Linux

Fecha: 8/03/2011

Adobe Flash PlayerAdvertencia: esta versión de Adobe Flash Player se encuentra obsoleta, por favor sigue el manual para instalar la versión mas reciente de Adobe Flash Player descrito en la entrada Adobe Flash Player 11 RC1 y cómo instalarlo en GNU/Linux.

Hace poco fue liberada la Beta del nuevo Adobe Flash Player 10.03 por parte del equipo de desarrollo de Adobe, según Muy Computer, esta nueva versión de Flash se centrará en portátiles y PCs de sobremesa, con algunas nuevas características entre las que podemos destacar las mejoras en tareas de telefonía IP, nuevas APIS para las estadísticas de los videos o controles de privacidad integrados en Firefox 4 o IE8, integración de manera nativa para el panel de control tanto de Mac OS X como de Windows, cancelación del eco acústico y supresión de ruido. Con una posible versión para dispositivos móviles para cuando termine su fase de pruebas a finales del segundo trimestre del 2011.

[adsenseleft]Esto es una buena noticia para todos aquellos que estamos teniendo problemas con la actual versión de Flash, Adobe Flash Player 10.2, que continuamente esta causando bloqueos y alto consumo de recursos tanto en maquinas Linux como en Windows, y que como yo, nos rehusamos a utilizar una versión anterior del plugin (espero no arrepentirme).

Así que aquí vamos a realizar la actualización de Adobe Flash Player a la versión 10.3 en GNU/Linux desde la terminal ejecutando las siguientes lineas (ten en cuenta que esto funcionará solo si ya tienes instalado Adobe Flash en tu distribucion y es solo para arquitecturas de 32 Bits):

wget http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer10-3/flashplayer10-3_b2_lin_033111.tar.gz
tar zxvf flashplayer10-3_b1_lin_030811.tar.gz
sudo mv /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so.bak
sudo mv /flashplayer10-3_b1_lin_030811/libflashplayer.so /usr/lib/flashplugin-installer/

Ahora solo debemos reiniciar la sesión de nuestro navegador para comenzar a disfrutar de las nuevas características de Adobe Flash Player (esperemos que sin tanto bloqueo).

Actualización: en el caso de que utilices Google Chrome como navegador principal, tienes dos opciones para poder habilitar la nueva versión de Adobe Flash Player, ya que Google Chrome trae el plugin incorporado por defecto en la instalación.

Nota: esto no sucede con Chromium Browser.

Opcion 1: deshabilitar el plugin interno de Google Chrome

Para lograr esto solo tenemos que escribir about:plugins en la barra de direcciones de Google Chrome y presionar Enter para entrar a la pagina de complementos del navegador.

El primer plugin que encontrarás será el de Adobe Flash Player, simplemente deshabilitalo y reinicia tu navegador para comenzar a utilizar la versión de Flash instalada en tu equipo.

Google Chrome - Complementos

Opción 2: copiar el plugin en el directorio de plugins de Google Chrome

Debes copiar el plugin directamente en el directorio de plugins de Google Chrome, esto puedes hacerlo ejecutando el siguiente comando en la terminal:

sudo cp /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/chromium-browser/plugins/

Gracias a Flávio L. Mattos por el tip

Nota: ten en cuenta que este comando solo funcionará en el caso de haber ejecutado los comandos utilizados al inicio del manual para la instalación de la nueva versión de Adobe Flash Player.

Relacionadas

23 Respuestas a “Cómo instalar Adobe Flash Player 10.3 Beta en GNU/Linux”

  1. Hola David,

    Por favor me colaboras, es que no me da el paso 3 en los comandos, me dice que ‘No existe el fichero’, Gracias.

    sudo mv /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so.bak

    • David Gómez dice:

      Bueno, que distro están utilizando, y como tienen instalado el plugin de flash?

      Puede ser que el plugin este instalado en otra ubicación por eso necesito esa info para poderles ayudar y actualizar la entrada.

      • Anónimo dice:

        Ubuntu 10.10

        • David Gómez dice:

          Mauro, significa que no tienes instalado el plugin en ese directorio, puede ser que estés utilizando Google Chrome o que no hayas instalado Flash desde el repo de Ubuntu.

          Ahí simplemente puedes pasar a la siguiente linea en los comandos y luego realizar uno de los dos pasos para que el plugin se active correctamente en Google Chrome que especifico en la actualización de la entrada.

        • Jclopeztriana dice:

          hice la descarga el segundo paso tambien ok, me lo descarga en /home/jc y me salen una carpeta usr y libflashplayer.so todo en la mencionada carpeta de /home/jc, luego el tercer paso ya me dice que no exiete el fichero, uso ubuntu 10,10 y crome

          • David Gómez dice:

            El tercer paso es para hacer un Back Up del actual plugin instalado en tu maquina, en caso de que este no se encuentre en la ubicación indicada no hay problema, simplemente sigue con el ultimo paso para copiar la nueva versión del plugin al directorio en cuestión.

          • Jclopeztriana dice:

            al hacer el cuarto paso dice no existe el fichero, sigo igual man, haciendo una busqueda del fichero libflasplayer.so me salen dos uno en la carpeta /usr/lib/flashplugin-installer (biblioteca compartida) y otro /usr/share/ubufox/plugins (enlace a biblioteca compartida), ademas si desinstalo el flash estos me desaparecen pero aun asy me queda alguno en el crome aunque no encuentro donde, lo veo poniendo about:plugins

  2. Cristóbal dice:

    Mismo problema que Mauro Suescun…

    mv: no se puede efectuar «stat» sobre «/usr/lib/flashplugin-installer/libflashplayer.so»: No existe el fichero o el directorio

    Saludos y espero nos ayudes!

    • David Gómez dice:

      Bueno, que distro están utilizando, y como tienen instalado el plugin de flash?

      Puede ser que el plugin este instalado en otra ubicación por eso necesito esa info para poderles ayudar y actualizar la entrada.

  3. ¿Problemas con Flash 10.2?, Instalate Flash 10.3 beta | Ayuda Linux dice:

    [...] Gracias a | el mundo segun Linux [...]

  4. (Google Tradudor)
    Lo hice y todo ha ido bien, por lo que el cromo navegador continuación la versión anterior, hice lo siguiente:

    sudo cp /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/chromium-browser/plugins/

    listo , Firefox & Chromium con la versión más reciente

  5. David Gómez dice:

    Solución para los que tienen el problema al momento de realizar el Back Up del plugin antiguo.

    wget http://download.macromedia.com/pub/labs/flashplatformruntimes/flashplayer10-3/flashplayer10-3_b1_lin_030811.tar.gz
    tar zxvf flashplayer10-3_b1_lin_030811.tar.gz
    sudo mv /flashplayer10-3_b1_lin_030811/libflashplayer.so /usr/lib/flashplugin-installer/

    Opcional:

    sudo cp /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/chromium-browser/plugins/

  6. David Gomez dice:

    @Jclopeztriana reemplaza el pulgón que te aparece en la búsqueda con el nuevo que descargaste. Pa Chrome utiliza una de las dos opciones que muestro en la actualización de la entrada.

  7. David Gómez dice:

    @Jclopeztriana reemplaza el pulgón que te aparece en la búsqueda con el nuevo que descargaste. Para Google Chrome utiliza una de las dos opciones que muestro en la actualización de la entrada.

    • Jclopeztriana dice:

      gracias man por todo parece que ya esta instalado copie en todos los que salya, una ultima pregunta cuando hago about:plugins en crome me salen dos hockwave Flash (2 files)
      Shockwave Flash 10.3 d180
      Nombre: Shockwave Flash
      Versión: 10.3 d180
      esta habilitada la otra la he inabilitado lo dejo asy o desinstalo una de ellas

  8. [...] en emslinux var random_number = Math.random(); if (random_number < .5){ } else { } TweetPost [...]

  9. Henryjoseinfante dice:

    hola amigos a mi me dice esto : 2011-05-29 14:18:22 (14,2 KB/s) – `flashplayer10-3_b2_lin_033111.tar.gz.1′ saved [5457282/5457282]

    vit@canaima:~$ tar zxvf flashplayer10-3_b1_lin_030811.tar.gz
    tar (child): flashplayer10-3_b1_lin_030811.tar.gz: No se puede open: No existe el fichero o el directorio
    tar (child): Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error is not recoverable: exiting now
    vit@canaima:~$ sudo mv /usr/lib/flashplugin-installer/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so.bak

    We trust you have received the usual lecture from the local System
    Administrator. It usually boils down to these three things:

        #1) Respect the privacy of others.
        #2) Think before you type.
        #3) With great power comes great responsibility.

    [sudo] password for vit:
    vit is not in the sudoers file.  This incident will be reported.
    vit@canaima:~$ ^C
    vit@canaima:~$
    si me pudieran ayudar seria bueno gracias.

    • David Gómez dice:

      Henry, la versión final de Adobe Flash 10.3 ya esta disponible para instalación en prácticamente todas las distribuciones, simplemente, instala el plugin de flash en tu distribución favorita y vas a tener Flash 10.3 final.

  10. Adobe Flash Player 10.3 Beta 2, esperemos que haya mejorado | emsLinux dice:

    [...] caso de que quieras hacer la actualización del plugin, puedes hacerlo siguiendo el manual “Cómo instalar Adobe Flash Player 10.3 Beta en GNU/Linux“, el cual se encuentra actualizado con Adobe Flash Player 10.3 Beta 2. This entry was [...]

Deja un comentario

Seovolución